Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988588 - after reboot on Origin, the freezer component is not
Summary: after reboot on Origin, the freezer component is not
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Rob Millner
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-25 22:21 UTC by Peter Ruan
Modified: 2015-05-15 02:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-07 22:53:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Ruan 2013-07-25 22:21:31 UTC
Description of problem:
  If a user create an app and then reboot his origin instance, then he won't be able to delete his existing apps.  If we modified the file /etc/cgconfig.conf, 
and add freezer{}, then the freezer components show up again.


group /openshift/51f17ec2653e8a2a1c000007  { perm { task { uid = 500; gid = 500; } admin { uid = root; gid = root; } } net_cls { net_cls.classid = 66036; } cpu { cpu.cfs_quota_us = 30000; cpu.shares = 128; } memory { memory.limit_in_bytes = 536870912; } freezer {} }
Version-Release number of selected component (if applicable):


How reproducible:
always.

Steps to Reproduce:
1. create an app
2. reboot
3. try to delete the app via rhc

Actual results:
user unable to delete existing apps

Expected results:  user able to delete his apps

[root@broker openshift]# lscgroup |grep freezer
freezer:/
freezer:/openshift
freezer:/openshift/51f19431653e8aec52000001
freezer:/openshift/51f17ec2653e8a2a1c000007


Additional info:
mcollective.logI, [2013-07-25T18:18:39.938093 #1088]  INFO -- : openshift.rb:321:in `rescue in oo_app_destroy' ["/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/utils/cgroups.rb:69:in `store'", "/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/utils/cgroups.rb:78:in `[]='", "/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/utils/cgroups.rb:238:in `freezer_burn'", "/usr/share/gems/gems/openshift-origin-container-selinux-0.1.1/lib/openshift/runtime/containerization/selinux_container.rb:328:in `freeze_cgroups'", "/usr/share/gems/gems/openshift-origin-container-selinux-0.1.1/lib/openshift/runtime/containerization/selinux_container.rb:97:in `destroy'", "/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/application_container.rb:214:in `block in destroy'", "/usr/share/gems/gems/openshift-origin-common-1.12.1/lib/openshift-origin-common/utils/file_needs_sync.rb:38:in `block in open'", "/usr/share/gems/gems/openshift-origin-common-1.12.1/lib/openshift-origin-common/utils/file_needs_sync.rb:36:in `open'", "/usr/share/gems/gems/openshift-origin-common-1.12.1/lib/openshift-origin-common/utils/file_needs_sync.rb:36:in `open'", "/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/application_container.rb:199:in `destroy'", "/usr/libexec/mcollective/mcollective/agent/openshift.rb:318:in `oo_app_destroy'", "/usr/libexec/mcollective/mcollective/agent/openshift.rb:163:in `execute_action'", "/usr/libexec/mcollective/mcollective/agent/openshift.rb:131:in `cartridge_do_action'", "/usr/share/ruby/vendor_ruby/mcollective/rpc/agent.rb:86:in `handlemsg'", "/usr/share/ruby/vendor_ruby/mcollective/agents.rb:126:in `block (2 levels) in dispatch'", "/usr/share/ruby/timeout.rb:66:in `timeout'", "/usr/share/ruby/vendor_ruby/mcollective/agents.rb:125:in `block in dispatch'"]
I, [2013-07-25T18:18:39.938206 #1088]  INFO -- : openshift.rb:173:in `execute_action' Finished executing action [app-destroy] (-1)
I, [2013-07-25T18:18:39.938304 #1088]  INFO -- : openshift.rb:139:in `cartridge_do_action' cartridge_do_action failed (-1)
------
Cgroups error: cgset: the group can't be modified

Comment 1 Rob Millner 2013-07-29 17:29:35 UTC
Fixed in master.

Comment 2 Xiaoli Tian 2013-08-01 09:30:30 UTC
Tested it on the latest nightly origin build( may match oso-fedora_400),

After reboot, the app could still be deleted successfully.

#rhc app delete phpapp3
This is a non-reversible action! Your application code and data will be permanently deleted if you continue!

Are you sure you want to delete the application 'phpapp3'? (yes|no): yes

Deleting application 'phpapp3' ... deleted


Note You need to log in before you can comment on or make changes to this bug.